/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2008.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: include/sgx/core/memory/allocpool.hpp

*/

#ifndef SGX_CORE_MEMORY_ALLOCPOOL_HPP
#define SGX_CORE_MEMORY_ALLOCPOOL_HPP	1


class CSGXMemoryAllocatorPool : public CSGXMemoryAllocator {
public:
	CSGXMemoryAllocatorPool(void *ptr, tMEM_SIZE memorySize, tMEM_SIZE entrySize, const CSGXMemoryAlignment &alignment);

	void *alloc(const tMEM_SIZE size);
	tBOOL freePtr(void *ptr);
	tBOOL freeAll();
private:
	
};

#endif
